Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "a943407e-852b-4682-b525-685249877872",
  "_parent_id": "b71b9f26-678d-409d-a064-f1d5e84153d6",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "56055a6c-a9f4-4b10-91bd-7328db8f6912",
  "company_id": "ca752cf7-2b19-4351-bb69-84e98252c5f2",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "1e43794b-4d97-479b-a5d2-8bfda82c233c",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "9f0f2eff-508c-4c31-935d-3e8d7ca79976",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "c71a84b5-c24a-41ca-aad0-c467aa59c7cf",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "eabceb8a-6726-4e6c-8836-bbdac2788b88",
    "company_code": "sample string 5",
    "company": {
      "id": "d943e365-2fcb-4081-ad58-dc2d46f7e8c9",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-22T08:05:34.0344851+00:00",
      "sales_territory_id": "65635a8f-caa2-49f0-935b-89d7533e5158",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "d2c94640-4789-437c-9bd6-9c01fa9c7e81",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "fcfa5a56-c08b-48a8-a830-01b8a50d2efa",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "09432c98-2996-4f5b-8f58-6ee7b3944f84",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "8d28be88-171b-4689-9b55-986a71f12118",
          "db_currency_id": "6e7eec78-643a-4cec-9ca7-fe0cf9f908b1",
          "db_language_id": "df31878b-47ee-4c6c-b0b8-498a107b0c2a",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-22T08:05:34.0344851+00:00"
        },
        "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00"
      },
      "marketing_segment_id": "e55e6bfd-6382-4c73-a3b9-4cb24d9122f6",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "02a4d2ca-3b53-4139-aa1e-de627228b6ef",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "ec0f81be-5433-4774-90a8-e3d7b61979b2",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "8c526c86-2581-482a-bab5-fed9e9d9ea4a",
      "db_country_code": "sample string 28",
      "feelist_id": "940301dc-0852-4daf-b767-57fa5d2df2b6",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "81bc24fa-8173-4780-a67a-1f0f7a20694d",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "35d7ba06-51fc-48d2-848e-3290e2c848b8",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00",
        "db_currency_id": "9ba61340-4a0e-4024-8195-806faab51362",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "59fc76c3-6ac7-4e15-a0d1-c0257b33dab7",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "639cf0a0-3f59-4e4b-ac99-ed34a6f6c867",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "1d26af95-ca15-4402-9c0c-997dabff72b4",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "1007532a-2c6e-4011-91e0-4383005ae257",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "56cfe27e-b247-4d41-8ef1-8edaf0e5506a",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "91635422-9370-4bb1-9626-604b70aa65c7",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "4b7dac73-9aa3-4bec-9456-43c670a6138e",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00"
      },
      "company_sector_id": "4fddb7c3-166c-414d-a88d-a48b773279f5",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "a15210ad-e6fc-487e-af65-d8e12c1e77b4",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "dacfbaa0-fb93-474d-9b5e-c2633834583f",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "547e3ebe-d249-4a2c-a6fd-ba98a69a09e7",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "20d49b5e-b419-450d-8189-90701ca903a5",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00",
      "id2": 60
    },
    "db_language_id": "950203b5-524f-4dc8-a598-c7d0bf1c9ac3",
    "db_language_code": "sample string 7",
    "db_title_id": "ab2014b4-9a45-442a-8246-b3e40d635d23",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-22T08:05:34.0452854+00:00",
    "create_date": "2026-11-22T08:05:34.0452854+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00"
  },
  "modified_dateutc": "2026-11-22T08:05:34.0452854+00:00",
  "id2": 22
}